﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|ARM64">
      <Configuration>Debug</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM64">
      <Configuration>Release</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x86">
      <Configuration>Debug</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x86">
      <Configuration>Release</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="src\atomic\SDL_atomic.c" />
    <ClCompile Include="src\atomic\SDL_spinlock.c" />
    <ClCompile Include="src\audio\android\SDL_androidaudio.c" />
    <ClCompile Include="src\audio\dummy\SDL_dummyaudio.c" />
    <ClCompile Include="src\audio\SDL_audio.c" />
    <ClCompile Include="src\audio\SDL_audiocvt.c" />
    <ClCompile Include="src\audio\SDL_audiodev.c" />
    <ClCompile Include="src\audio\SDL_audiotypecvt.c" />
    <ClCompile Include="src\audio\SDL_mixer.c" />
    <ClCompile Include="src\audio\SDL_wave.c" />
    <ClCompile Include="src\core\android\SDL_android.c" />
    <ClCompile Include="src\cpuinfo\SDL_cpuinfo.c" />
    <ClCompile Include="src\dynapi\SDL_dynapi.c" />
    <ClCompile Include="src\events\SDL_clipboardevents.c" />
    <ClCompile Include="src\events\SDL_dropevents.c" />
    <ClCompile Include="src\events\SDL_events.c" />
    <ClCompile Include="src\events\SDL_gesture.c" />
    <ClCompile Include="src\events\SDL_keyboard.c" />
    <ClCompile Include="src\events\SDL_mouse.c" />
    <ClCompile Include="src\events\SDL_quit.c" />
    <ClCompile Include="src\events\SDL_touch.c" />
    <ClCompile Include="src\events\SDL_windowevents.c" />
    <ClCompile Include="src\filesystem\android\SDL_sysfilesystem.c" />
    <ClCompile Include="src\file\SDL_rwops.c" />
    <ClCompile Include="src\haptic\dummy\SDL_syshaptic.c" />
    <ClCompile Include="src\haptic\SDL_haptic.c" />
    <ClCompile Include="src\joystick\android\SDL_sysjoystick.c" />
    <ClCompile Include="src\joystick\SDL_gamecontroller.c" />
    <ClCompile Include="src\joystick\SDL_joystick.c" />
    <ClCompile Include="src\loadso\dlopen\SDL_sysloadso.c" />
    <ClCompile Include="src\power\android\SDL_syspower.c" />
    <ClCompile Include="src\power\SDL_power.c" />
    <ClCompile Include="src\render\direct3d11\SDL_render_d3d11.c" />
    <ClCompile Include="src\render\direct3d\SDL_render_d3d.c" />
    <ClCompile Include="src\render\opengles2\SDL_render_gles2.c" />
    <ClCompile Include="src\render\opengles2\SDL_shaders_gles2.c" />
    <ClCompile Include="src\render\opengles\SDL_render_gles.c" />
    <ClCompile Include="src\render\opengl\SDL_render_gl.c" />
    <ClCompile Include="src\render\opengl\SDL_shaders_gl.c" />
    <ClCompile Include="src\render\psp\SDL_render_psp.c" />
    <ClCompile Include="src\render\SDL_d3dmath.c" />
    <ClCompile Include="src\render\SDL_render.c" />
    <ClCompile Include="src\render\SDL_yuv_mmx.c" />
    <ClCompile Include="src\render\SDL_yuv_sw.c" />
    <ClCompile Include="src\render\software\SDL_blendfillrect.c" />
    <ClCompile Include="src\render\software\SDL_blendline.c" />
    <ClCompile Include="src\render\software\SDL_blendpoint.c" />
    <ClCompile Include="src\render\software\SDL_drawline.c" />
    <ClCompile Include="src\render\software\SDL_drawpoint.c" />
    <ClCompile Include="src\render\software\SDL_render_sw.c" />
    <ClCompile Include="src\render\software\SDL_rotate.c" />
    <ClCompile Include="src\SDL.c" />
    <ClCompile Include="src\SDL_assert.c" />
    <ClCompile Include="src\SDL_error.c" />
    <ClCompile Include="src\SDL_hints.c" />
    <ClCompile Include="src\SDL_log.c" />
    <ClCompile Include="src\stdlib\SDL_getenv.c" />
    <ClCompile Include="src\stdlib\SDL_iconv.c" />
    <ClCompile Include="src\stdlib\SDL_malloc.c" />
    <ClCompile Include="src\stdlib\SDL_qsort.c" />
    <ClCompile Include="src\stdlib\SDL_stdlib.c" />
    <ClCompile Include="src\stdlib\SDL_string.c" />
    <ClCompile Include="src\test\SDL_test_assert.c" />
    <ClCompile Include="src\test\SDL_test_common.c" />
    <ClCompile Include="src\test\SDL_test_compare.c" />
    <ClCompile Include="src\test\SDL_test_crc32.c" />
    <ClCompile Include="src\test\SDL_test_font.c" />
    <ClCompile Include="src\test\SDL_test_fuzzer.c" />
    <ClCompile Include="src\test\SDL_test_harness.c" />
    <ClCompile Include="src\test\SDL_test_imageBlit.c" />
    <ClCompile Include="src\test\SDL_test_imageBlitBlend.c" />
    <ClCompile Include="src\test\SDL_test_imageFace.c" />
    <ClCompile Include="src\test\SDL_test_imagePrimitives.c" />
    <ClCompile Include="src\test\SDL_test_imagePrimitivesBlend.c" />
    <ClCompile Include="src\test\SDL_test_log.c" />
    <ClCompile Include="src\test\SDL_test_md5.c" />
    <ClCompile Include="src\test\SDL_test_random.c" />
    <ClCompile Include="src\thread\pthread\SDL_syscond.c" />
    <ClCompile Include="src\thread\pthread\SDL_sysmutex.c" />
    <ClCompile Include="src\thread\pthread\SDL_syssem.c" />
    <ClCompile Include="src\thread\pthread\SDL_systhread.c" />
    <ClCompile Include="src\thread\pthread\SDL_systls.c" />
    <ClCompile Include="src\thread\SDL_thread.c" />
    <ClCompile Include="src\timer\SDL_timer.c" />
    <ClCompile Include="src\timer\unix\SDL_systimer.c" />
    <ClCompile Include="src\video\android\SDL_androidclipboard.c" />
    <ClCompile Include="src\video\android\SDL_androidevents.c" />
    <ClCompile Include="src\video\android\SDL_androidgl.c" />
    <ClCompile Include="src\video\android\SDL_androidkeyboard.c" />
    <ClCompile Include="src\video\android\SDL_androidmessagebox.c" />
    <ClCompile Include="src\video\android\SDL_androidmouse.c" />
    <ClCompile Include="src\video\android\SDL_androidtouch.c" />
    <ClCompile Include="src\video\android\SDL_androidvideo.c" />
    <ClCompile Include="src\video\android\SDL_androidwindow.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_dyn.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_events.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_modes.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_mouse.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_opengl.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_render.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_shape.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_video.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_window.c" />
    <ClCompile Include="src\video\directfb\SDL_DirectFB_WM.c" />
    <ClCompile Include="src\video\dummy\SDL_nullevents.c" />
    <ClCompile Include="src\video\dummy\SDL_nullframebuffer.c" />
    <ClCompile Include="src\video\dummy\SDL_nullvideo.c" />
    <ClCompile Include="src\video\emscripten\SDL_emscriptenevents.c" />
    <ClCompile Include="src\video\emscripten\SDL_emscriptenframebuffer.c" />
    <ClCompile Include="src\video\emscripten\SDL_emscriptenmouse.c" />
    <ClCompile Include="src\video\emscripten\SDL_emscriptenopengles.c" />
    <ClCompile Include="src\video\emscripten\SDL_emscriptenvideo.c" />
    <ClCompile Include="src\video\haiku\SDL_bclipboard.cc" />
    <ClCompile Include="src\video\haiku\SDL_bevents.cc" />
    <ClCompile Include="src\video\haiku\SDL_bframebuffer.cc" />
    <ClCompile Include="src\video\haiku\SDL_bkeyboard.cc" />
    <ClCompile Include="src\video\haiku\SDL_bmodes.cc" />
    <ClCompile Include="src\video\haiku\SDL_bopengl.cc" />
    <ClCompile Include="src\video\haiku\SDL_bvideo.cc" />
    <ClCompile Include="src\video\haiku\SDL_bwindow.cc" />
    <ClCompile Include="src\video\mir\SDL_mirdyn.c" />
    <ClCompile Include="src\video\mir\SDL_mirevents.c" />
    <ClCompile Include="src\video\mir\SDL_mirframebuffer.c" />
    <ClCompile Include="src\video\mir\SDL_mirmouse.c" />
    <ClCompile Include="src\video\mir\SDL_miropengl.c" />
    <ClCompile Include="src\video\mir\SDL_mirvideo.c" />
    <ClCompile Include="src\video\mir\SDL_mirwindow.c" />
    <ClCompile Include="src\video\nacl\SDL_naclevents.c" />
    <ClCompile Include="src\video\nacl\SDL_naclglue.c" />
    <ClCompile Include="src\video\nacl\SDL_naclopengles.c" />
    <ClCompile Include="src\video\nacl\SDL_naclvideo.c" />
    <ClCompile Include="src\video\nacl\SDL_naclwindow.c" />
    <ClCompile Include="src\video\pandora\SDL_pandora.c" />
    <ClCompile Include="src\video\pandora\SDL_pandora_events.c" />
    <ClCompile Include="src\video\psp\SDL_pspevents.c" />
    <ClCompile Include="src\video\psp\SDL_pspgl.c" />
    <ClCompile Include="src\video\psp\SDL_pspmouse.c" />
    <ClCompile Include="src\video\psp\SDL_pspvideo.c" />
    <ClCompile Include="src\video\raspberry\SDL_rpievents.c" />
    <ClCompile Include="src\video\raspberry\SDL_rpimouse.c" />
    <ClCompile Include="src\video\raspberry\SDL_rpiopengles.c" />
    <ClCompile Include="src\video\raspberry\SDL_rpivideo.c" />
    <ClCompile Include="src\video\SDL_blit.c" />
    <ClCompile Include="src\video\SDL_blit_0.c" />
    <ClCompile Include="src\video\SDL_blit_1.c" />
    <ClCompile Include="src\video\SDL_blit_A.c" />
    <ClCompile Include="src\video\SDL_blit_auto.c" />
    <ClCompile Include="src\video\SDL_blit_copy.c" />
    <ClCompile Include="src\video\SDL_blit_N.c" />
    <ClCompile Include="src\video\SDL_blit_slow.c" />
    <ClCompile Include="src\video\SDL_bmp.c" />
    <ClCompile Include="src\video\SDL_clipboard.c" />
    <ClCompile Include="src\video\SDL_egl.c" />
    <ClCompile Include="src\video\SDL_fillrect.c" />
    <ClCompile Include="src\video\SDL_pixels.c" />
    <ClCompile Include="src\video\SDL_rect.c" />
    <ClCompile Include="src\video\SDL_RLEaccel.c" />
    <ClCompile Include="src\video\SDL_shape.c" />
    <ClCompile Include="src\video\SDL_stretch.c" />
    <ClCompile Include="src\video\SDL_surface.c" />
    <ClCompile Include="src\video\SDL_video.c" />
    <ClCompile Include="src\video\vivante\SDL_vivanteopengles.c" />
    <ClCompile Include="src\video\vivante\SDL_vivanteplatform.c" />
    <ClCompile Include="src\video\vivante\SDL_vivantevideo.c" />
    <ClCompile Include="src\video\wayland\SDL_waylanddyn.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandevents.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandmouse.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandopengles.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandtouch.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandvideo.c" />
    <ClCompile Include="src\video\wayland\SDL_waylandwindow.c" />
    <ClCompile Include="src\video\windows\SDL_windowsclipboard.c" />
    <ClCompile Include="src\video\windows\SDL_windowsevents.c" />
    <ClCompile Include="src\video\windows\SDL_windowsframebuffer.c" />
    <ClCompile Include="src\video\windows\SDL_windowskeyboard.c" />
    <ClCompile Include="src\video\windows\SDL_windowsmessagebox.c" />
    <ClCompile Include="src\video\windows\SDL_windowsmodes.c" />
    <ClCompile Include="src\video\windows\SDL_windowsmouse.c" />
    <ClCompile Include="src\video\windows\SDL_windowsopengl.c" />
    <ClCompile Include="src\video\windows\SDL_windowsopengles.c" />
    <ClCompile Include="src\video\windows\SDL_windowsshape.c" />
    <ClCompile Include="src\video\windows\SDL_windowsvideo.c" />
    <ClCompile Include="src\video\windows\SDL_windowswindow.c" />
    <ClCompile Include="src\video\winrt\SDL_winrtevents.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtgamebar.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtkeyboard.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtmessagebox.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtmouse.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtopengles.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtpointerinput.cpp" />
    <ClCompile Include="src\video\winrt\SDL_winrtvideo.cpp" />
    <ClCompile Include="src\video\x11\edid-parse.c" />
    <ClCompile Include="src\video\x11\imKStoUCS.c" />
    <ClCompile Include="src\video\x11\SDL_x11clipboard.c" />
    <ClCompile Include="src\video\x11\SDL_x11dyn.c" />
    <ClCompile Include="src\video\x11\SDL_x11events.c" />
    <ClCompile Include="src\video\x11\SDL_x11framebuffer.c" />
    <ClCompile Include="src\video\x11\SDL_x11keyboard.c" />
    <ClCompile Include="src\video\x11\SDL_x11messagebox.c" />
    <ClCompile Include="src\video\x11\SDL_x11modes.c" />
    <ClCompile Include="src\video\x11\SDL_x11mouse.c" />
    <ClCompile Include="src\video\x11\SDL_x11opengl.c" />
    <ClCompile Include="src\video\x11\SDL_x11opengles.c" />
    <ClCompile Include="src\video\x11\SDL_x11shape.c" />
    <ClCompile Include="src\video\x11\SDL_x11touch.c" />
    <ClCompile Include="src\video\x11\SDL_x11video.c" />
    <ClCompile Include="src\video\x11\SDL_x11window.c" />
    <ClCompile Include="src\video\x11\SDL_x11xinput2.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="src\video\android\SDL_androidclipboard.h" />
    <ClInclude Include="src\video\android\SDL_androidevents.h" />
    <ClInclude Include="src\video\android\SDL_androidkeyboard.h" />
    <ClInclude Include="src\video\android\SDL_androidmessagebox.h" />
    <ClInclude Include="src\video\android\SDL_androidmouse.h" />
    <ClInclude Include="src\video\android\SDL_androidtouch.h" />
    <ClInclude Include="src\video\android\SDL_androidvideo.h" />
    <ClInclude Include="src\video\android\SDL_androidwindow.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoaclipboard.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoaevents.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoakeyboard.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoamessagebox.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoamodes.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoamouse.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoamousetap.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoaopengl.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoashape.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoavideo.h" />
    <ClInclude Include="src\video\cocoa\SDL_cocoawindow.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_dyn.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_events.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_modes.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_mouse.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_opengl.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_render.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_shape.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_video.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_window.h" />
    <ClInclude Include="src\video\directfb\SDL_DirectFB_WM.h" />
    <ClInclude Include="src\video\dummy\SDL_nullevents_c.h" />
    <ClInclude Include="src\video\dummy\SDL_nullframebuffer_c.h" />
    <ClInclude Include="src\video\dummy\SDL_nullvideo.h" />
    <ClInclude Include="src\video\emscripten\SDL_emscriptenevents.h" />
    <ClInclude Include="src\video\emscripten\SDL_emscriptenframebuffer.h" />
    <ClInclude Include="src\video\emscripten\SDL_emscriptenmouse.h" />
    <ClInclude Include="src\video\emscripten\SDL_emscriptenopengles.h" />
    <ClInclude Include="src\video\emscripten\SDL_emscriptenvideo.h" />
    <ClInclude Include="src\video\haiku\SDL_bclipboard.h" />
    <ClInclude Include="src\video\haiku\SDL_bevents.h" />
    <ClInclude Include="src\video\haiku\SDL_bframebuffer.h" />
    <ClInclude Include="src\video\haiku\SDL_bkeyboard.h" />
    <ClInclude Include="src\video\haiku\SDL_bmodes.h" />
    <ClInclude Include="src\video\haiku\SDL_bopengl.h" />
    <ClInclude Include="src\video\haiku\SDL_bvideo.h" />
    <ClInclude Include="src\video\haiku\SDL_BWin.h" />
    <ClInclude Include="src\video\haiku\SDL_bwindow.h" />
    <ClInclude Include="src\video\mir\SDL_mirdyn.h" />
    <ClInclude Include="src\video\mir\SDL_mirevents.h" />
    <ClInclude Include="src\video\mir\SDL_mirframebuffer.h" />
    <ClInclude Include="src\video\mir\SDL_mirmouse.h" />
    <ClInclude Include="src\video\mir\SDL_miropengl.h" />
    <ClInclude Include="src\video\mir\SDL_mirsym.h" />
    <ClInclude Include="src\video\mir\SDL_mirvideo.h" />
    <ClInclude Include="src\video\mir\SDL_mirwindow.h" />
    <ClInclude Include="src\video\nacl\SDL_naclevents_c.h" />
    <ClInclude Include="src\video\nacl\SDL_naclopengles.h" />
    <ClInclude Include="src\video\nacl\SDL_naclvideo.h" />
    <ClInclude Include="src\video\nacl\SDL_naclwindow.h" />
    <ClInclude Include="src\video\pandora\SDL_pandora.h" />
    <ClInclude Include="src\video\pandora\SDL_pandora_events.h" />
    <ClInclude Include="src\video\psp\SDL_pspevents_c.h" />
    <ClInclude Include="src\video\psp\SDL_pspgl_c.h" />
    <ClInclude Include="src\video\psp\SDL_pspmouse_c.h" />
    <ClInclude Include="src\video\psp\SDL_pspvideo.h" />
    <ClInclude Include="src\video\raspberry\SDL_rpievents_c.h" />
    <ClInclude Include="src\video\raspberry\SDL_rpimouse.h" />
    <ClInclude Include="src\video\raspberry\SDL_rpiopengles.h" />
    <ClInclude Include="src\video\raspberry\SDL_rpivideo.h" />
    <ClInclude Include="src\video\SDL_blit.h" />
    <ClInclude Include="src\video\SDL_blit_auto.h" />
    <ClInclude Include="src\video\SDL_blit_copy.h" />
    <ClInclude Include="src\video\SDL_blit_slow.h" />
    <ClInclude Include="src\video\SDL_egl_c.h" />
    <ClInclude Include="src\video\SDL_pixels_c.h" />
    <ClInclude Include="src\video\SDL_rect_c.h" />
    <ClInclude Include="src\video\SDL_RLEaccel_c.h" />
    <ClInclude Include="src\video\SDL_shape_internals.h" />
    <ClInclude Include="src\video\SDL_sysvideo.h" />
    <ClInclude Include="src\video\uikit\keyinfotable.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitappdelegate.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitclipboard.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitevents.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitmessagebox.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitmodes.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitopengles.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitopenglview.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitvideo.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitview.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitviewcontroller.h" />
    <ClInclude Include="src\video\uikit\SDL_uikitwindow.h" />
    <ClInclude Include="src\video\vivante\SDL_vivanteopengles.h" />
    <ClInclude Include="src\video\vivante\SDL_vivanteplatform.h" />
    <ClInclude Include="src\video\vivante\SDL_vivantevideo.h" />
    <ClInclude Include="src\video\wayland\SDL_waylanddyn.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandevents_c.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandmouse.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandopengles.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandsym.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandtouch.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandvideo.h" />
    <ClInclude Include="src\video\wayland\SDL_waylandwindow.h" />
    <ClInclude Include="src\video\windows\SDL_msctf.h" />
    <ClInclude Include="src\video\windows\SDL_vkeys.h" />
    <ClInclude Include="src\video\windows\SDL_windowsclipboard.h" />
    <ClInclude Include="src\video\windows\SDL_windowsevents.h" />
    <ClInclude Include="src\video\windows\SDL_windowsframebuffer.h" />
    <ClInclude Include="src\video\windows\SDL_windowskeyboard.h" />
    <ClInclude Include="src\video\windows\SDL_windowsmessagebox.h" />
    <ClInclude Include="src\video\windows\SDL_windowsmodes.h" />
    <ClInclude Include="src\video\windows\SDL_windowsmouse.h" />
    <ClInclude Include="src\video\windows\SDL_windowsopengl.h" />
    <ClInclude Include="src\video\windows\SDL_windowsopengles.h" />
    <ClInclude Include="src\video\windows\SDL_windowsshape.h" />
    <ClInclude Include="src\video\windows\SDL_windowsvideo.h" />
    <ClInclude Include="src\video\windows\SDL_windowswindow.h" />
    <ClInclude Include="src\video\windows\wmmsg.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtevents_c.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtgamebar_cpp.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtmessagebox.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtmouse_c.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtopengles.h" />
    <ClInclude Include="src\video\winrt\SDL_winrtvideo_cpp.h" />
    <ClInclude Include="src\video\x11\edid.h" />
    <ClInclude Include="src\video\x11\imKStoUCS.h" />
    <ClInclude Include="src\video\x11\SDL_x11clipboard.h" />
    <ClInclude Include="src\video\x11\SDL_x11dyn.h" />
    <ClInclude Include="src\video\x11\SDL_x11events.h" />
    <ClInclude Include="src\video\x11\SDL_x11framebuffer.h" />
    <ClInclude Include="src\video\x11\SDL_x11keyboard.h" />
    <ClInclude Include="src\video\x11\SDL_x11messagebox.h" />
    <ClInclude Include="src\video\x11\SDL_x11modes.h" />
    <ClInclude Include="src\video\x11\SDL_x11mouse.h" />
    <ClInclude Include="src\video\x11\SDL_x11opengl.h" />
    <ClInclude Include="src\video\x11\SDL_x11opengles.h" />
    <ClInclude Include="src\video\x11\SDL_x11shape.h" />
    <ClInclude Include="src\video\x11\SDL_x11sym.h" />
    <ClInclude Include="src\video\x11\SDL_x11touch.h" />
    <ClInclude Include="src\video\x11\SDL_x11video.h" />
    <ClInclude Include="src\video\x11\SDL_x11window.h" />
    <ClInclude Include="src\video\x11\SDL_x11xinput2.h" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{c109f2f3-792d-48df-833c-8ca3d176d31c}</ProjectGuid>
    <Keyword>Android</Keyword>
    <RootNamespace>SDL2</RootNamespace>
    <MinimumVisualStudioVersion>14.0</MinimumVisualStudioVersion>
    <ApplicationType>Android</ApplicationType>
    <ApplicationTypeRevision>2.0</ApplicationTypeRevision>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <IncludePath>include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>;GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories);%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions);GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories);%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>;GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories);%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions);GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories);%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>;GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories)%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions);GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories)%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>;GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories)%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions);GL_GLEXT_PROTOTYPES</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(Sysroot)\usr\include;$(StlIncludeDirectories)%(AdditionalIncludeDirectories);include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);dl;GLESv1_CM;GLESv2;log;android</LibraryDependencies>
      <AdditionalOptions>-lm</AdditionalOptions>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>